Show / Hide Table of Contents

# Class CompletionItem

##### Inheritance

System.Object
CompletionItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class CompletionItem

### Properties

| Improve this Doc View Source

#### Data

Gets or sets a custom data field that allows the server to mark each completion item with an identifier that will help correlate the item to the previous completion request during a completion resolve request.

##### Declaration

    public object Data { get; set; }

##### Property Value

Type | Description
--- | ---
System.Object |

| Improve this Doc View Source

#### Detail

##### Declaration

    public string Detail { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Documentation

Gets or sets the documentation string for the completion item.

##### Declaration

    public string Documentation { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### FilterText

##### Declaration

    public string FilterText { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### InsertText

##### Declaration

    public string InsertText { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Kind

##### Declaration

    public CompletionItemKind? Kind { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<CompletionItemKind> |

| Improve this Doc View Source

#### Label

##### Declaration

    public string Label { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SortText

##### Declaration

    public string SortText { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TextEdit

##### Declaration

    public TextEdit TextEdit { get; set; }

##### Property Value

Type | Description
--- | ---
TextEdit |